> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Tenant

> Add Tenant



## OpenAPI

````yaml post /tenants
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /tenants:
    post:
      tags:
        - Tenants
      summary: Add Tenant
      description: Add Tenant
      operationId: add-tenant
      requestBody:
        content:
          application/json:
            schema:
              required:
                - name
                - email
                - password
                - appName
                - appRegion
              properties:
                name:
                  description: Specifies the name of the customer.
                  type: string
                email:
                  description: >-
                    Specifies the email address of the customer, this will be
                    the account identifier
                  type: string
                password:
                  description: >-
                    For the purpose of accessing the CometChat account, a
                    password in plain text format is required.
                  type: string
                contactNumber:
                  description: This represents the user's contact number information.
                  type: string
                role:
                  description: >-
                    This indicates the role associated with the created account,
                    such as developer, product manager, business owner, and so
                    on.
                  type: string
                appName:
                  description: This defines the name of the application within CometChat.
                  type: string
                appRegion:
                  description: >-
                    This refers to the selected region for the app. Users should
                    select a region that is geographically close to their
                    customer base for optimal performance.
                  type: string
                  enum:
                    - us
                    - eu
                    - in
                industry:
                  description: >-
                    This pertains to the specific domain that the app is
                    associated with.
                  type: string
                technology:
                  description: >-
                    This refers to a single-string representation of the primary
                    technology or framework utilized by the customer, examples
                    of which may include 'ReactJS', 'Angular', 'Vue', 'Android',
                    'iOS', and so on.
                  type: string
              type: object
            examples:
              Request Example:
                summary: Request Example
                value:
                  name: Example User
                  email: my-email@example.com
                  password: somePassword#!
                  contactNumber: '1234567890'
                  role: engineer
                  appName: Create App
                  appRegion: us
      responses:
        '200':
          description: Map Settings
          content:
            application/json:
              schema:
                properties:
                  '':
                    type: object
                    additionalProperties:
                      $ref: '#/components/schemas/deleteSchema'
                type: object
              example:
                data:
                  name: Sachin Bahukhandi
                  email: sachin.bahukhandi+113@cometchat.com
                  createdAt: 1715947984
                  contactNumber: '8936985734'
                  app:
                    name: Create APP
                    appId: 2531446b588709f6
                    region: us
                    authKey: 05753974edb58b7ce7c1ab10eb3eb3033e3dd1e9
                    apiKey: 5db447476272190a2cda793e10e59f58bcc17317
                    createdAt: 1715947984
                    plan: Build
      security:
        - basicAuth: []
components:
  schemas:
    deleteSchema:
      properties:
        success:
          type: boolean
        message:
          type: string
      type: object
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````